## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate libsodium-sys

Name:           rust-libsodium-sys
Version:        0.2.7
Release:        %autorelease
Summary:        FFI binding to libsodium

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/libsodium-sys
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          libsodium-sys-fix-metadata-auto.diff
# * unconditionally use pkg-config to link against system libsodium
Patch:          0001-Unconditionally-use-pkg-config-to-link-against-syste.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
FFI binding to libsodium.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       libsodium-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-pkg-config-devel %{_description}

This package contains library source intended for building other packages which
use the "use-pkg-config" feature of the "%{crate}" crate.

%files       -n %{name}+use-pkg-config-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# remove pre-built libsodium objects for MSVC / MinGW targets
rm -rf mingw msvc
# remove bundled libsodium sources
rm -rf libsodium # /src/libsodium
# Add shebang to top of gen.sh as build tries to run it directly
# FIXME: patch build.rs to use the bindgen library interface instead
sed -i -e '1 i#!/bin/sh' src/gen.sh
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'libsodium-devel'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
export RUST_BACKTRACE=1
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.7-4
- Unconditionally use pkg-config to link against system libsodium

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 12 2022 Stuart D. Gathman <stuart@gathman.org> - 0.2.7-1
- Initial manual import
## END: Generated by rpmautospec
